Skills

Start a skill run

POST
/skill-runs

Start one immutable native Skill run.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/skill-runs" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "skill_id": "123e4567-e89b-42d3-a456-426614174000",    "space_id": "123e4567-e89b-42d3-a456-426614174000",    "inputs": {},    "scope": {}  }'
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "space_id": "123e4567-e89b-42d3-a456-426614174000",  "installation_id": "123e4567-e89b-42d3-a456-426614174000",  "skill_id": "123e4567-e89b-42d3-a456-426614174000",  "skill_name": "Invoice extractor",  "version_id": "123e4567-e89b-42d3-a456-426614174000",  "version": 0,  "requested_by_id": "123e4567-e89b-42d3-a456-426614174000",  "requested_by": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "email": "ada@example.com",    "name": "Customer documents",    "image_url": "example"  },  "actor_type": "api",  "origin": "manual",  "entry": "example",  "entry_script_run_id": "123e4567-e89b-42d3-a456-426614174000",  "trigger": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "kind": "schedule"  },  "status": "ACTIVE",  "model": "claude-sonnet-5",  "reasoning_effort": "medium",  "effective_max_turns": 0,  "review_max_rounds": 0,  "instruction": "example",  "dry_run": false,  "cost_micro_usd": 0,  "micro_credits": 0,  "turns_used": 0,  "pages": [    {      "key": "summary",      "name": "Customer documents",      "page_id": "123e4567-e89b-42d3-a456-426614174000",      "url": "https://api.adlass.io/v1/workflows/hooks/example"    }  ],  "error_code": "example",  "error_message": "example",  "started_at": "2026-09-04T12:00:00Z",  "completed_at": "2026-09-04T12:00:00Z",  "created_at": "2026-09-04T12:00:00Z",  "reversal": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "status": "ACTIVE",    "requested_by_id": "123e4567-e89b-42d3-a456-426614174000",    "skip_conflicts": false,    "summary": {},    "error_code": "example",    "created_at": "2026-09-04T12:00:00Z",    "started_at": "2026-09-04T12:00:00Z",    "completed_at": "2026-09-04T12:00:00Z"  },  "undo": {    "available": false,    "blocked_reason": "example"  }}